# Generated from git-whistles-1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name git-whistles

Name: rubygem-%{gem_name}
Version: 1.4
Release: 1%{?dist}
Summary: A few helpers for classic Git workflows: makes branching and merging, PO file handling, issuing pull requests slightly simpler
License: MIT
URL: http://github.com/mezis/git-whistles
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-nav)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(vcr)
BuildArch: noarch

%description
A few helpers for classic Git workflows.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/git-chop
%{_bindir}/git-explore
%{_bindir}/git-ff-all-branches
%{_bindir}/git-jira-branch
%{_bindir}/git-jira-pr
%{_bindir}/git-latest-pushes
%{_bindir}/git-list-branches
%{_bindir}/git-merge-po
%{_bindir}/git-outstanding-features
%{_bindir}/git-pivotal-branch
%{_bindir}/git-pivotal-open
%{_bindir}/git-pivotal-pr
%{_bindir}/git-pr
%{_bindir}/git-select
%{_bindir}/git-stash-and-checkout
%{_bindir}/git-whistles
%{_bindir}/git-youtrack-branch
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/libexec
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/HISTORY
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/git-whistles.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.4-1
- Initial package
